package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**社群评论区
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.web.controller.communityCenter
 * @Filename：PublishCommission
 * @Description TODO
 * @Date：2025/1/17 14:11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_publish_commission")
public class PublishCommission extends BaseEntity {
    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 内容
     */
    private String content;
    /**
     * 父评论id
     */
    private Long parentId;
    /**
     * 点赞数
     */
    private Integer likeNum;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;


}
