package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**社群评论点赞
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.communityCenter.domain
 * @Filename：PublishCommissionLike
 * @Description TODO
 * @Date：2025/1/17 14:16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_publish_commission_like")
public class PublishCommissionLike extends BaseEntity {

    /**
     * 评论点赞id
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 社群id
     */
    private Long communityId;
    /**
     * 评论id
     */
    private Long publishCommissionId;
}
